Subject: bug#76205: 31.0.50; 31.0.50; python.el completion broken for non-builtin objects in IPython 8.30.0 & Python 3.13.2

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Feb 2025 11:05:38 -0800

kobarity <[email-masked]> writes:

> Liu Hui wrote:
>>
>> On Mon, Feb 17, 2025 at 10:50 PM kobarity <[email-masked]> wrote:
>>
>> > > BTW, python 3.13 introduces pyrepl and leads to the warning "can't use
>> > > pyrepl: terminal doesn't have the required clear capability;
>> > > TERM=dumb".
>> > >
>> > > Maybe we should set PYTHON_BASIC_REPL=1 to suppress the warning when
>> > > starting the inferior python process?
>> >
>> > Yes, I think that is a good idea.  Could you suggest a patch as a new
>> > bug?
>>
>> Here is the patch.
>
> Thanks.  I confirmed that the patch works as expected.
>
> If there are no other objections or comments, I would like both of the
> following patches applied:

Thanks, installed on master.  Should the bug therefore be closed?